For the complete documentation index, see llms.txt. This page is also available as Markdown.

Support Response

API Documentation for the BugSplat Support Response Endpoints

Get or set the contents of the end-user Support Response page that is loaded by the BugSplat Windows Native C++ and Windows .NET Framework SDKs.

Get Message

GET https://app.bugsplat.com/api/techsupport/message

Returns the subject and raw markdown body contents for a Support Response page that has been configured for a specified stackKeyId and appKey.

Query Parameters

Name
Type
Description

appKey

string

An appKey used to display a targeted version of the Support Response page. This is useful for displaying localized Support Response pages.

stackKeyId*

number

The Crash Group (Stack Key) ID of the specified crash

database

string

BugSplat database containing the specified crash

{
    "status": "success",
    "stackKeyId": 5524,
    "stackKey": "myConsoleCrasher!MemoryException(153)",
    "appKey": "*Default*",
    "subject": "",
    "content": "",
    "allkeys": null,
    "crashId": 12345
}

Add Message

POST https://app.bugsplat.com/api/techsupport/message

Create a new Support Response page for a specified stackKeyId and appKey.

Query Parameters

Name
Type
Description

content

string

Markdown contents of the Support Response page's body.

subject

string

The subject line to be displayed to an end-user.

appKey

string

An appKey used to display a targeted version of the Support Response page. This is useful for displaying localized Support Response pages.

stackKeyId*

number

The Crash Group (Stack Key) ID of the specified crash

database

string

BugSplat database containing the specified crash

Update Message

PUT https://app.bugsplat.com/api/techsupport/message

Update a Support Response page for a specified stackKeyId and appKey.

Query Parameters

Name
Type
Description

content

string

Markdown contents of the Support Response page's body.

subject

string

The subject line to be displayed to an end-user.

appKey

string

An appKey used to display a targeted version of the Support Response page. This is useful for displaying localized Support Response pages.

stackKeyId*

number

The Crash Group (Stack Key) ID of the specified crash

database

string

BugSplat database containing the specified crash

Delete Message

DELETE https://app.bugsplat.com/api/techsupport/message

Delete a Support Response page for a specified stackKeyId and appKey.

Query Parameters

Name
Type
Description

appKey

string

An appKey used to display a targeted version of the Support Response page. This is useful for displaying localized Support Response pages.

stackKeyId*

number

The Crash Group (Stack Key) ID of the specified crash

database

string

BugSplat database containing the specified crash

Last updated

Was this helpful?